##### posix::basic_stream_descriptor::basic_stream_descriptor (3 of 6 overloads)

Construct a stream descriptor on an existing native descriptor.

    basic_stream_descriptor(
        const executor_type & ex,
        const native_handle_type & native_descriptor);

This constructor creates a stream descriptor object to hold an existing native descriptor.

###### Parameters

ex

  The I/O executor that the descriptor will use, by default, to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  The new underlying descriptor implementation.

###### Exceptions

asio::system_error

  Thrown on failure.